[Settings]
no_return_value=function {0} does not always return a value
duplicate_formal=duplicate formal argument {0}
equal_as_assign=test for equality (==) mistyped as assignment (=)?{0}
var_hides_arg=variable {0} hides argument
redeclared_var=redeclaration of {0} {1}
anon_no_return_value=anonymous function does not always return a value
missing_semicolon=missing semicolon
meaningless_block=meaningless block; curly braces have no impact
comma_separated_stmts=multiple statements separated by commas (use semicolons?)
unreachable_code=unreachable code
missing_break=missing break statement
missing_break_for_last_case=missing break statement for last case in switch
comparison_type_conv=comparisons against null, 0, true, false, or an empty string allowing implicit type conversion (use === or !==)
inc_dec_within_stmt=increment (++) and decrement (--) operators used as part of greater statement
useless_void=use of the void type may be unnecessary (void is always undefined)
multiple_plus_minus=unknown order of operations for successive plus (e.g. x+++y) or minus (e.g. x---y) signs
use_of_label=use of label
block_without_braces=block statement without curly braces
leading_decimal_point=leading decimal point may indicate a number or an object member
trailing_decimal_point=trailing decimal point may indicate a number or an object member
octal_number=leading zeros make an octal number
nested_comment=nested comment
misplaced_regex=regular expressions should be preceded by a left parenthesis, assignment, colon, or comma
ambiguous_newline=unexpected end of line; it is ambiguous whether these lines are part of the same statement
empty_statement=empty statement or extra semicolon
missing_option_explicit=the "option explicit" control comment is missing
partial_option_explicit=the "option explicit" control comment, if used, must be in the first script tag
dup_option_explicit=duplicate "option explicit" control comment
useless_assign=useless assignment
ambiguous_nested_stmt=block statements containing block statements should use curly braces to resolve ambiguity
ambiguous_else_stmt=the else statement could be matched with one of multiple if statements (use curly braces to indicate intent)
missing_default_case=missing default case in switch statement
duplicate_case_in_switch=duplicate case in switch statements
default_not_at_end=the default case is not at the end of the switch statement
legacy_cc_not_understood=couldn't understand control comment using /*@keyword@*/ syntax
jsl_cc_not_understood=couldn't understand control comment using /*jsl:keyword*/ syntax
useless_comparison=useless comparison; comparing identical expressions
with_statement=with statement hides undeclared variables; use temporary variable instead
trailing_comma_in_array=extra comma is not recommended in array initializers
assign_to_function_call=assignment to a function call
parseint_missing_radix=parseInt missing radix parameter
lambda_assign_requires_semicolon=Semicolons. Assignments of an anonymous function to a variable or property must be followed by a semicolon
legacy_control_comments=Control Comments. Legacy control comments (enabled by default for backward compatibility)
jscript_function_extensions=JScript Function Extensions. This is a Microsoft-only JavaScript extension.
always_use_option_explicit=Defining identifiers. By default, "option explicit" is enabled on a per-file basis.


[DefaultValues]
no_return_value=1
duplicate_formal=1
equal_as_assign=1
var_hides_arg=1
redeclared_var=1
anon_no_return_value=1
missing_semicolon=1
meaningless_block=1
comma_separated_stmts=1
unreachable_code=1
missing_break=1
missing_break_for_last_case=1
comparison_type_conv=1
inc_dec_within_stmt=1
useless_void=1
multiple_plus_minus=1
use_of_label=1
block_without_braces=0
leading_decimal_point=1
trailing_decimal_point=1
octal_number=1
nested_comment=1
misplaced_regex=1
ambiguous_newline=1
empty_statement=1
missing_option_explicit=0
partial_option_explicit=1
dup_option_explicit=1
useless_assign=1
ambiguous_nested_stmt=1
ambiguous_else_stmt=1
missing_default_case=1
duplicate_case_in_switch=1
default_not_at_end=1
legacy_cc_not_understood=1
jsl_cc_not_understood=1
useless_comparison=1
with_statement=1
trailing_comma_in_array=1
assign_to_function_call=1
parseint_missing_radix=1
lambda_assign_requires_semicolon=1
legacy_control_comments=1
jscript_function_extensions=0
always_use_option_explicit=0

